> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-3a82795f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ClickPipe 설정 조회

> **이 endpoint는 베타입니다.** API 계약은 안정적이며, 앞으로는 호환성이 깨지는 변경이 없을 것으로 예상됩니다. <br /><br /> 지정된 ClickPipe의 고급 설정을 반환합니다.



## OpenAPI

````yaml /ko/products/cloud/api-reference/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings:
    get:
      tags:
        - ClickPipes
      summary: ClickPipe 설정 조회
      description: >-
        **이 endpoint는 베타입니다.** API 계약은 안정적이며, 앞으로는 호환성이 깨지는 변경이 없을 것으로 예상됩니다.
        <br /><br /> 지정된 ClickPipe의 고급 설정을 반환합니다.
      parameters:
        - description: 서비스를 소유한 조직의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ClickPipe를 소유한 서비스의 ID입니다.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
        - description: 설정을 조회할 ClickPipe의 ID입니다.
          in: path
          name: clickPipeId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 각 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ClickPipeSettingsGetResponse'
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    ClickPipeSettingsGetResponse:
      properties:
        clickhouse_max_download_threads:
          description: 최대 다운로드 스레드 수입니다. 최대 동시 다운로드 스레드 수입니다.
          example: 4
          maximum: 32
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_insert_threads:
          description: 최대 삽입 스레드 수입니다. 최대 동시 삽입 스레드 수입니다.
          example: 1
          maximum: 16
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_threads:
          description: 최대 스레드 수입니다. 파일 처리에 사용할 최대 동시 스레드 수입니다.
          example: 8
          maximum: 64
          minimum: 0
          nullable: true
          type: integer
        clickhouse_min_insert_block_size_bytes:
          description: 최소 삽입 블록 크기(바이트)입니다. 삽입을 위한 데이터 블록의 최소 크기(바이트)입니다.
          example: 1073741824
          maximum: 10737418240
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_distributed_insert_select:
          description: 병렬 분산 삽입 선택입니다. 병렬 분산 삽입 선택 설정입니다.
          example: 2
          maximum: 2
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_view_processing:
          description: 병렬 뷰 처리입니다. 순차적으로 수행하는 대신 attached 상태인 뷰로 동시에 푸시하도록 설정할지 여부입니다.
          example: false
          nullable: true
          type: boolean
        object_storage_concurrency:
          description: 객체 스토리지 동시성입니다. 동시에 파일을 처리할 수 있는 스레드 수입니다.
          example: 1
          maximum: 35
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_file_count:
          description: 최대 파일 수입니다. 단일 삽입 배치에서 처리할 최대 파일 수입니다.
          example: 100
          maximum: 10000
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_insert_bytes:
          description: 최대 삽입 바이트입니다. 단일 삽입 배치에서 처리할 바이트 수입니다.
          example: 10737418240
          maximum: 53687091200
          minimum: 10485760
          nullable: true
          type: integer
        object_storage_polling_interval_ms:
          description: 객체 스토리지 폴링 인터벌입니다. 새 객체 스토리지 데이터를 연속 수집으로 조회하기 위한 갱신 인터벌을 설정합니다.
          example: 30000
          maximum: 3600000
          minimum: 100
          nullable: true
          type: integer
        object_storage_use_cluster_function:
          description: 클러스터 함수 사용입니다. 분산 처리에 ClickHouse 클러스터 함수를 사용할지 여부입니다.
          example: true
          nullable: true
          type: boolean
        streaming_max_insert_wait_ms:
          description: 스트리밍 최대 삽입 대기 시간입니다. 데이터를 ClickHouse에 삽입하기 전까지의 최대 대기 시간을 설정합니다.
          example: 5000
          maximum: 60000
          minimum: 500
          nullable: true
          type: integer
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 키 ID와 키 시크릿을 사용하십시오:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````